Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 895222 - PRD35 - [RFE] Unable to sort on columns in WebAdmin for RHEV
Summary: PRD35 - [RFE] Unable to sort on columns in WebAdmin for RHEV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RFEs
Version: 3.1.0
Hardware: All
OS: Linux
high
high
Target Milestone: ---
: 3.5.0
Assignee: Vojtech Szocs
QA Contact: movciari
URL:
Whiteboard: ux
: 867955 949593 981226 1074310 (view as bug list)
Depends On:
Blocks: rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2013-01-14 21:15 UTC by hmiles
Modified: 2019-03-22 07:04 UTC (History)
31 users (show)

Fixed In Version: ovirt-3.5.0-beta2
Doc Type: Enhancement
Doc Text:
In the Administration Portal, users can sort tables by clicking on column headers.
Clone Of:
Environment:
Last Closed: 2015-02-11 17:51:30 UTC
oVirt Team: ---
Target Upstream Version:
sgrinber: Triaged+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 25910 None None None Never
Red Hat Knowledge Base (Solution) 293553 None None None Never
Red Hat Product Errata RHSA-2015:0158 normal SHIPPED_LIVE Important: Red Hat Enterprise Virtualization Manager 3.5.0 2015-02-11 22:38:50 UTC
Red Hat Bugzilla 879059 None None None Never

Comment 1 Itamar Heim 2013-01-15 12:24:29 UTC
upstream bug 893999 is also tracking this

Comment 7 Simon Grinberg 2013-02-10 18:13:27 UTC
*** Bug 867955 has been marked as a duplicate of this bug. ***

Comment 8 Simon Grinberg 2013-02-13 14:53:18 UTC
*** Bug 816532 has been marked as a duplicate of this bug. ***

Comment 12 Allan Voss 2013-04-12 13:18:54 UTC
*** Bug 949593 has been marked as a duplicate of this bug. ***

Comment 16 Daniel Erez 2013-07-07 09:01:56 UTC
*** Bug 981226 has been marked as a duplicate of this bug. ***

Comment 21 Einav Cohen 2014-03-10 13:55:58 UTC
*** Bug 1074310 has been marked as a duplicate of this bug. ***

Comment 24 Arthur Berezin 2014-05-04 14:30:00 UTC
Marked as high prio for 3.6.

Comment 25 Einav Cohen 2014-05-06 14:25:27 UTC
(In reply to Arthur Berezin from comment #24)
> Marked as high prio for 3.6.

will hopefully make it already into 3.5 (there is a patch in progress -> moving to POST).

Comment 26 Einav Cohen 2014-07-10 16:25:58 UTC
Vojtech - MODIFIED?

Comment 27 Vojtech Szocs 2014-07-15 14:32:43 UTC
(In reply to Einav Cohen from comment #26)
> Vojtech - MODIFIED?

Indeed, moving to MODIFIED.

Comment 28 Einav Cohen 2014-07-23 20:26:52 UTC
note: this BZ is for the infrastructure only. do NOT re-open for specific grids/columns/etc. - re-open only if there is a major cross-GUI-sorting problem. 
thanks.

Comment 30 Marina 2014-12-29 23:42:59 UTC
Sweet! But
Surprisingly, not all columns are sortable (SPM on hosts tab, Data Center on cluster and some more).
Is this by design or I should open a new bug?
Also, is that related to the browser?
I am running FF22.

Comment 31 Vojtech Szocs 2015-01-05 16:46:55 UTC
(In reply to Marina from comment #30)
> Sweet! But
> Surprisingly, not all columns are sortable (SPM on hosts tab, Data Center on
> cluster and some more).

From developer's perspective, any existing columns must be marked as sortable within web application code in order for them to actually become sortable in the browser, as described in patch [1].

[1] http://gerrit.ovirt.org/#/c/25910/

If some column isn't sortable in the browser, the corresponding code should be modified to make that column sortable. Note that main-tab columns typically utilize server-side sorting while sub-tab columns typically utilize client-side sorting.

> Is this by design or I should open a new bug?

I think this is a bug, UI should be consistent in behavior across multiple columns, I think that BZ should be opened.

> Also, is that related to the browser?
> I am running FF22.

Column sorting should be supported across all modern web browsers, including IE9 and above. Core column sort functionality is actually provided by GWT CellTable widget, which is part of standard GWT SDK.

Comment 32 Marina 2015-01-05 18:40:18 UTC
Thanks, Vojtek.
I talked to Einav on the subject, and apparently there are few fields for which the sort cannot be implemented right away and to the implementation would require additional work. It is not a big deal for me. So I will not open a bug for this, until there would be a customer specific complain on the subject.

Comment 34 errata-xmlrpc 2015-02-11 17:51:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0158.html


Note You need to log in before you can comment on or make changes to this bug.